# Uses of Interface
org.apache.qpid.proton.engine.impl.ssl.ProtonSslEngine

Packages that use ProtonSslEngine
Package
Description
org.apache.qpid.proton.engine.impl.ssl

## Uses of ProtonSslEngine in org.apache.qpid.proton.engine.impl.ssl

Methods in org.apache.qpid.proton.engine.impl.ssl that return ProtonSslEngine
Modifier and Type
Method
Description
`ProtonSslEngine`
SslEngineFacadeFactory.`createProtonSslEngine(SslDomain domain, SslPeerDetails peerDetails)`
Returns a `ProtonSslEngine`.
`ProtonSslEngine`
ProtonSslEngineProvider.`createSslEngine(SslPeerDetails peerDetails)`
Returns an SSL engine.
`ProtonSslEngine`
SslDomainImpl.`createSslEngine(SslPeerDetails peerDetails)`